Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_UIOP_Acceptor Class Reference

`#include <UIOP_Acceptor.h>`

Inheritance diagram for TAO_UIOP_Acceptor

[legend]
Collaboration diagram for TAO_UIOP_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> | TAO_UIOP_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_UIOP_Connection_Handler> | TAO_UIOP_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_UIOP_Connection_Handler> | TAO_UIOP_CONCURRENCY_STRATEGY
typedef TAO_Accept_Strategy< TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> | TAO_UIOP_ACCEPT_STRATEGY
## Public Methods
| TAO_UIOP_Acceptor (CORBA::Boolean flag = 0)
virtual | ~TAO_UIOP_Acceptor (void)
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *address, const char *options = 0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options = 0)
virtual int | close (void)
virtual int | create_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint* endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO_ObjectKey &key)
## Private Methods
int | open_i (const char *rendezvous, ACE_Reactor *reactor)
void | rendezvous_point (ACE_UNIX_Addr &, const char *rendezvous)
int | parse_options (const char *options)
int | init_uiop_properties (void)
int | create_new_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
int | create_shared_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
## Private Attributes
TAO_UIOP_BASE_ACCEPTOR | base_acceptor_
TAO_UIOP_CREATION_STRATEGY* | creation_strategy_
TAO_UIOP_CONCURRENCY_STRATEGY* | concurrency_strategy_
TAO_UIOP_ACCEPT_STRATEGY* | accept_strategy_
TAO_GIOP_Message_Version | version_
TAO_ORB_Core* | orb_core_
int | unlink_on_close_
CORBA::Boolean | lite_flag_
TAO_UIOP_Properties | uiop_properties_

## Member Typedef Documentation

typedef TAO_Accept_Strategy<TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> TAO_UIOP_Acceptor::TAO_UIOP_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> TAO_UIOP_Acceptor::TAO_UIOP_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Acceptor::TAO_UIOP_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Acceptor::TAO_UIOP_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_UIOP_Acceptor::TAO_UIOP_Acceptor ( | CORBA::Boolean flag = 0 )

virtual TAO_UIOP_Acceptor::~TAO_UIOP_Acceptor ( | void )`[virtual]`

## Member Function Documentation

virtual int TAO_UIOP_Acceptor::close ( | void )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::create_new_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[private]`

virtual int TAO_UIOP_Acceptor::create_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::create_shared_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[private]`

virtual CORBA::ULong TAO_UIOP_Acceptor::endpoint_count ( | void )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::init_uiop_properties ( | void )`[private]`

virtual int TAO_UIOP_Acceptor::is_collocated ( | const TAO_Endpoint * endpoint )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_UIOP_Acceptor::object_key ( | IOP::TaggedProfile & profile,
| TAO_ObjectKey & key )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_UIOP_Acceptor::open ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor,
| int version_major,
| int version_minor,
| const char * address,
| const char * options = 0 )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_UIOP_Acceptor::open_default ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor,
| int version_major,
| int version_minor,
| const char * options = 0 )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::open_i ( | const char * rendezvous,
| ACE_Reactor * reactor )`[private]`

int TAO_UIOP_Acceptor::parse_options ( | const char * options )`[private]`

void TAO_UIOP_Acceptor::rendezvous_point ( | ACE_UNIX_Addr &,
| const char * rendezvous )`[private]`

## Member Data Documentation

TAO_UIOP_ACCEPT_STRATEGY * TAO_UIOP_Acceptor::accept_strategy_`[private]`

TAO_UIOP_BASE_ACCEPTOR TAO_UIOP_Acceptor::base_acceptor_`[private]`

TAO_UIOP_CONCURRENCY_STRATEGY * TAO_UIOP_Acceptor::concurrency_strategy_`[private]`

TAO_UIOP_CREATION_STRATEGY * TAO_UIOP_Acceptor::creation_strategy_`[private]`

CORBA::Boolean TAO_UIOP_Acceptor::lite_flag_`[private]`

TAO_ORB_Core * TAO_UIOP_Acceptor::orb_core_`[private]`

TAO_UIOP_Properties TAO_UIOP_Acceptor::uiop_properties_`[private]`

int TAO_UIOP_Acceptor::unlink_on_close_`[private]`

TAO_GIOP_Message_Version TAO_UIOP_Acceptor::version_`[private]`

The documentation for this class was generated from the following file:

- UIOP_Acceptor.h